[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#272819: too strong webmin-sendmail dependencies

Package: webmin-sendmail
Version: stable,testing
The package depends on sendmail causing removal of other mta packages (i.e. postfix).
In a production server this can be very dangerous because installing a control tool modules can force removal of intalled, needed and used packages.
This should be done only for strictly necessary packages really conflicting with webmin but not extended to modules.
Installing all webmin modules should be possible without (except warning) put at risk the system
exactly as the original webmin (www.webmin.com) does.
In other words if I have a server using postfix I want to be able to install webmin-sendmail without harming the system; the webmin-sendmail simply will not work.
The problem is present in stable, testing and unstable versions.

Reply to: